Support » Plugin: PDF Viewer Block for Gutenberg » Incompatible with current Edge browser

  • Resolved whdyer

    (@whdyer)


    The PDF Viewer block crashes when using Windows 10 pro or home and the current stable microsoft edge browser,
    Microsoft Edge
    Version 89.0.774.57 (Official build) (64-bit)

    The page returns the following when accessed:
    “Microsoft Defender SmartScreen has blocked this unsafe content

    More information
    Hosted by <redacted>
    Microsoft Defender SmartScreen has marked this as phishing content. If you choose to see such content, it could trick you into revealing personal or financial info. You might be putting your sensitive info—like passwords, credit card numbers, contact info, or software activation keys—at risk.
    Microsoft Defender SmartScreen”

    Block works properly if executed in current Chrome browser
    Version 89.0.4389.90 (Official Build) (64-bit)

Viewing 1 replies (of 1 total)
  • Thread Starter whdyer

    (@whdyer)

    Update 04/18/2021
    Found that the most recent update to wordpress 5.7 caused a http/https mismatch between the media library and the pdf viewer which caused the issue.

    The plugin is NOT at fault and works prefectly when the correct match is made netween the protocol of the media library object, in this case a pdf file, and the protocol of the browser session.

    Rated 5 stars !!

Viewing 1 replies (of 1 total)
  • The topic ‘Incompatible with current Edge browser’ is closed to new replies.